#if !defined(AFX_OPTIONSDLG_H__526E5E0B_92DC_4F9C_BCE5_5ADB5DFE3444__INCLUDED_)
#define AFX_OPTIONSDLG_H__526E5E0B_92DC_4F9C_BCE5_5ADB5DFE3444__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COptionsDlg dialog

class COptionsDlg : public CDialog
{
// Construction
public:
	virtual  ~COptionsDlg();
	COptionsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COptionsDlg)
	enum { IDD = IDD_OPTIONS };
	CButton	m_cFileCompletion;
	CButton	m_cAutoRun;
	CStatic	m_cUsage;
	CButton	m_cOK;
	CButton	m_cSwap_Esc_BackQuote;
	CButton	m_cRemap_LeftCtrl_CapsLock;
	CButton	m_cRemap_CapsLock_LeftCtrl;
	//}}AFX_DATA
	enum ScanCode { SC_NA = 0x00, SC_ESCAPE = 0x01, SC_LEFT_CONTROL = 0x1D, SC_BACK_QUOTE = 0x29, SC_CAPSLOCK = 0x3A};
	enum { CapsLock_LeftCtrl, LeftCtrl_CapsLock, Esc_BackQuote, RemapNumber };

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void RestartComputer();
	BOOL ChangedRemap();
	BOOL m_bRemap[RemapNumber];
	void SetRegScanCode(LPBYTE lpData, DWORD dwcbData);
	void GetRegScanCode(LPBYTE *lpData, LPDWORD lpcbData);
	void SwapScanCode(ScanCode code1, ScanCode code2, LPBYTE lpData, LPDWORD lpOffset);
	void RemapScanCode(ScanCode oldcode, ScanCode newcode, LPBYTE lpData, LPDWORD lpOffset);

	// Generated message map functions
	//{{AFX_MSG(COptionsDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	LPOSVERSIONINFO m_lpVersionInformation;
	BOOL Is9x();
	BOOL IsNT();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSDLG_H__526E5E0B_92DC_4F9C_BCE5_5ADB5DFE3444__INCLUDED_)
